      SUBROUTINE CHERCHE_NODE(NODE,M,NDOM,NCOPNP,NEL)
C
      INTEGER M(*),NODE(8,*),NDOM(*)
C
      IA = 1
      DO 10 I=1,NEL
        NMAE = M(IA+1)
        NDOM(I) = M(IA+2)
        NNO  = M(IA+3)
        DO 20 K=1,NNO
          NODE(K,I) = M(IA+3+K)
   20   CONTINUE
        IF (NCOPNP.EQ.0) THEN
          IA = IA + 5 + NNO + NMAE + M(IA+4+NNO)
        ELSE
          IA = IA + 4 + NNO + NMAE
        ENDIF
   10 CONTINUE
      END
